# $Revision: 1.37 $, $Date: 2002/07/27 22:18:29 $
Summary:	Converts .fig files (such as those from xfig) to other formats
Summary(de):	Konvertiert .fig-Dateien (z.B. aus xfig) in andere Formate
Summary(fr):	Convertit les fichiers .fig (comme ceux d'xfig) en d'autres formats
Summary(pl):	Konwerter plikw w formacie .fig (jakie generuje xfig) do innych formatw
Summary(tr):	fig dosyalarn baka biimlere dntrr
Name:		transfig
Version:	3.2.3d
Release:	5
Epoch:		1
License:	distributable
Group:		X11/Applications/Graphics
Source0:	http://www.xfig.org/xfigdist/%{name}.%{version}.tar.gz
Patch0:		%{name}-config.patch
Patch1:		%{name}-anti_latin1.patch
BuildRequires:	XFree86-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
TransFig is a set of tools for creating TeX documents with graphics
which are portable, in the sense that they can be printed in a wide
variety of environments.

%description -l de
TransFig ist ein Satz von Tools zum Erstellen von TeX-Dokumenten mit
Grafiken, die portabel sind, das heit, sie knnen in einer groen
Auswahl von Umgebungen gedruckt werden.

%description -l fr
Transfig est un ensemble d'outils pour crer des documents textes avec
des graphiques portables, en ce sens qu'ils peuvent tre imprims dans
des nombreux environnements.

%description -l pl
Pakiet TransFig jest zbiorem narzdzi do tworzenia dokumentw TeXowych
z grafik, ktre bd przenone w sensie, e bdzie mona je
wydrukowa na szerokiej palecie drukarek.

%description -l tr
TransFig, izimler ieren TeX belgeleri retebilmek iin kullanlan
bir ara kmesidir ve eitli ortamlarda kts alnabilecek dosyalar
yaratr.

%prep
%setup -q -n %{name}.%{version}
chmod u+w -R *
%patch0 -p1
%patch1 -p1

%build
xmkmf -a

%{__make} \
%ifarch alpha
	EXTRA_DEFINES="-Dcfree=free" \
%endif
	CDEBUGFLAGS="%{rpmcflags} `pkg-config --cflags libpng12 2>/dev/null`" \
	CXXDEBUGFLAGS="%{rpmcflags}" \
	LOCAL_LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install install.man \
	DESTDIR=$RPM_BUILD_ROOT
ln -sf cs_CZ.ps $RPM_BUILD_ROOT/%{_datadir}/fig2dev/pl_PL.ps

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES NOTES README
%attr(755,root,root) %{_bindir}/*
%{_datadir}/xfig
%dir %{_datadir}/fig2dev
%lang(cs) %{_datadir}/fig2dev/cs*.ps
%lang(ja) %{_datadir}/fig2dev/ja*.ps
%lang(ko) %{_datadir}/fig2dev/ko*.ps
%lang(pl) %{_datadir}/fig2dev/pl*.ps
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: transfig.spec,v $
Revision 1.37  2002/07/27 22:18:29  kloczek
- use new %doc.

Revision 1.36  2002/07/05 12:15:53  zagrodzki
- added polish filter for PS (symlink to cs_CZ.ps)

Revision 1.35  2002/04/27 18:27:59  qboosh
- BR: libpng-devel, added libpng 1.2.2 support
- release 4

Revision 1.34  2002/02/22 23:29:49  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.33  2002/01/18 02:15:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.32  2001/11/10 16:45:31  jajcus
- s/Distibutable/distributable/ in License

Revision 1.31  2001/07/23 22:22:19  kloczek
- release 3: remove (not used) gdbm-devel from BuildRequires list.

Revision 1.30  2001/06/25 07:46:04  kloczek
- bump release to 2.

Revision 1.29  2001/06/16 19:51:25  kloczek
- typos.

Revision 1.28  2001/06/16 19:43:49  kloczek
- Epoch: 1.

Revision 1.27  2001/06/16 19:42:46  kloczek
- updated to 3.2.3d,
- removed obsoleted i18n patchand updated config patch,
- updated %files list.

Revision 1.26  2001/05/23 02:14:54  qboosh
- use %%rpmldflags

Revision 1.25  2001/04/30 16:05:31  kloczek
- added using %%{rpmcflags} macro.

Revision 1.24  2001/02/06 16:23:11  klakier
- added anti_latin1 patch to avoid translating non-ascii chars for tex output

Revision 1.23  2001/01/25 20:03:52  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.22  2000/12/23 00:48:47  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.21  2000/11/12 16:58:51  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.20  2000/09/29 08:33:05  kloczek
- cosmetics.

Revision 1.19  2000/09/29 08:00:18  kloczek
- updated to 3.2.3c,
- adapterized, use rpm new automation suit,
- added i18n (from RH) anf config patch (fixes paths and install target),
- added missing bitmaps to package,
- make spec %%{debug} ready.

Revision 1.18  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.17  2000/04/01 11:15:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.16  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.15  2000/03/09 20:16:22  kloczek
- cosmetics.

Revision 1.14  2000/03/07 22:22:32  mkochano
- Manual pages /usr/X11R6/share/man -> /usr/X11R6/man.

Revision 1.13  2000/03/07 22:05:14  mkochano
- Updated to 3.2.3

Revision 1.12  1999/07/27 23:00:13  kloczek
- fix listt stipped files.

Revision 1.11  1999/07/27 22:51:35  kloczek
- release 5,
- added stripping binaries.

Revision 1.10  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun Jun 27 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [3.2.1-4]
- based on RH spec,
- spec rewrited by PLD team.
